Last Comment Bug 744697 - Intermittent browser_dbg_bug723069_editor-breakpoints.js | Test timed out, Cleanup function threw an exception, Found a tab after
: Intermittent browser_dbg_bug723069_editor-breakpoints.js | Test timed out, Cl...
Status: RESOLVED FIXED
: intermittent-failure
Product: Firefox
Classification: Client Software
Component: Developer Tools: Debugger (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Mihai Sucan [:msucan]
:
Mentors:
Depends on: 734641
Blocks: 438871
  Show dependency treegraph
 
Reported: 2012-04-11 22:47 PDT by Phil Ringnalda (:philor)
Modified: 2012-11-25 19:31 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Phil Ringnalda (:philor) 2012-04-11 22:47:48 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10830590&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound opt test mochitest-other on 2012-04-11 19:23:01 PDT for push e72c21511787

TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Console message: [JavaScript Error: "gDebuggee.firstCall is not a function" {file: "chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js" line: 37}]
TEST-INFO | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must to be declared in the document or in the transfer protocol." {file: "http://example.com/browser/browser/devtools/debugger/test/browser_dbg_script-switching.html" line: 0}]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Test timed out
(screenshot)
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Cleanup function threw an exception at chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js:275 - TypeError: gBreakpoints is not an object
INFO TEST-END | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | finished in 30032ms
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_script-switching.html
Comment 1 Treeherder Robot 2012-04-13 16:04:05 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10890030&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test mochitest-other on 2012-04-13 15:26:02

11831 ERROR TEST-UNEXPECTED-PASS | chrome://mochitests/content/chrome/layout/generic/test/test_bug632379.xul | Popup should open in the same place when the menu is scrolled - 109 should equal 109
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Cleanup function threw an exception at chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js:275 - TypeError: gBreakpoints is not an object
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_script-switching.html
Comment 2 Treeherder Robot 2012-04-16 08:57:30 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10939834&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test mochitest-other on 2012-04-16 07:40:04

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Cleanup function threw an exception at chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js:275 - TypeError: gBreakpoints is not an object
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_script-switching.html
Comment 3 Mihai Sucan [:msucan] 2012-04-17 11:49:50 PDT
The new patch I'll submit for bug 734641 should also fix this bug.
Comment 4 Victor Porof [:vporof][:vp] 2012-05-09 01:39:23 PDT
Hasn't happened in a while, and bug 734641 is fixed.
Comment 5 Panos Astithas [:past] 2012-05-09 01:41:43 PDT
Closing for now, reopen if it reappears.
Comment 6 Treeherder Robot 2012-05-20 18:21:22 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=11901426&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound opt test mochitest-other on 2012-05-20 05:17:41
slave: talos-r3-leopard-052

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | an unexpected uncaught JS exception reported through window.onerror - TypeError: gDebuggee.firstCall is not a function at chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js:42
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Cleanup function threw an exception at chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js:282 - TypeError: gBreakpoints is not an object
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_script-switching.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_script-switching.js | an unexpected uncaught JS exception reported through window.onerror - ReferenceError: executeSoon is not defined at chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js:49
Comment 7 Treeherder Robot 2012-06-05 16:33:32 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=12397360&tree=Mozilla-Beta
Rev4 MacOSX Snow Leopard 10.6 mozilla-beta opt test mochitest-other on 2012-06-05 15:58:49
slave: talos-r4-snow-050

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Cleanup function threw an exception at chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js:275 - TypeError: gBreakpoints is not an object
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/debugger/test/browser_dbg_bug723069_editor-breakpoints.js | Found a tab after previous test timed out: http://example.com/browser/browser/devtools/debugger/test/browser_dbg_script-switching.html

Note You need to log in before you can comment on or make changes to this bug.